Bug 541279 (CVE-2009-4032, CVE-2010-2543) - CVE-2009-4032 CVE-2010-2543 cacti: Multiple cross-site scripting flaws
Summary: CVE-2009-4032 CVE-2010-2543 cacti: Multiple cross-site scripting flaws
Keywords:
Status: NEW
Alias: CVE-2009-4032, CVE-2010-2543
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://www.cacti.net/downloads/patche...
Whiteboard:
Depends On: 541684 541962
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-25 13:19 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0635 normal SHIPPED_LIVE Important: Red Hat High Performance Computing (HPC) Solution 5.5 2010-08-20 02:42:21 UTC

Description Jan Lieskovsky 2009-11-25 13:19:30 UTC
Moritz Naumann reported multiple cross-site scripting (XSS)
flaws, present in the way Cacti web interface used to process
HTML form content. If a remote attacker could trick a local user
who is logged into Cacti into visiting a specially-crafted HTML
page, the attacker could retrieve and potentially modify
confidential Cacti data.

References:
-----------
http://www.cacti.net/download_patches.php
http://www.securityfocus.com/bid/37109/info
http://docs.cacti.net/#cross-site_scripting_fixes

Upstream patch:
---------------
http://www.cacti.net/downloads/patches/0.8.7e/cross_site_fix.patch

CVE Request:
------------
http://www.openwall.com/lists/oss-security/2009/11/25/2

Comment 1 Jan Lieskovsky 2009-11-25 13:21:32 UTC
This issue affects the versions of the cacti package, as shipped with
Fedora releases of 10, 11, and 12 and as shipped within Extra Packages
for Enterprise Linux 4 (EPEL-4) and 5 (EPEL-5) projects.

Please fix.

Comment 2 Jan Lieskovsky 2009-11-25 19:10:16 UTC
This is CVE-2009-4032.

Comment 3 Jan Lieskovsky 2009-11-26 12:27:41 UTC
More elaborated description of each particular issue (including reproducers)
by Moritz Naumann is here:

  http://seclists.org/fulldisclosure/2009/Nov/291

Comment 6 Jan Lieskovsky 2009-11-30 13:56:54 UTC
Mitre's CVE-2009-4032 record:
-----------------------------

Multiple cross-site scripting (XSS) vulnerabilities in Cacti 0.8.7e
allow remote attackers to inject arbitrary web script or HTML via
vectors related to (1) graph.php, (2) include/top_graph_header.php,
(3) lib/html_form.php, and (4) lib/timespan_settings.php.

Comment 7 Fedora Update System 2009-12-01 16:17:25 UTC
cacti-0.8.7e-3.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/cacti-0.8.7e-3.el4

Comment 8 Fedora Update System 2009-12-01 16:17:35 UTC
cacti-0.8.7e-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/cacti-0.8.7e-3.fc11

Comment 9 Fedora Update System 2009-12-01 16:17:44 UTC
cacti-0.8.7e-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/cacti-0.8.7e-3.el5

Comment 10 Fedora Update System 2009-12-01 16:17:53 UTC
cacti-0.8.7e-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/cacti-0.8.7e-3.fc10

Comment 11 Fedora Update System 2009-12-01 16:18:03 UTC
cacti-0.8.7e-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/cacti-0.8.7e-3.fc12

Comment 12 Fedora Update System 2009-12-27 20:29:59 UTC
cacti-0.8.7e-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-01-03 21:04:00 UTC
cacti-0.8.7e-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-01-05 22:29:50 UTC
cacti-0.8.7e-3.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-01-12 23:56:15 UTC
cacti-0.8.7e-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Tomas Hoger 2010-06-29 08:36:38 UTC
Upstream fix does not properly address XSS 4.  It adds validation for graph_start and graph_end, but that only happens after including include/top_graph_header.php, which may output those values without validation.

Comment 19 Tomas Hoger 2010-07-12 09:20:58 UTC
(In reply to comment #17)
> Upstream fix does not properly address XSS 4.  It adds validation for
> graph_start and graph_end, but that only happens after including
> include/top_graph_header.php, which may output those values without
> validation.

This is now fixed upstream in 0.8.7g:

http://cacti.net/release_notes_0_8_7g.php
http://svn.cacti.net/viewvc/cacti/branches/0.8.7/include/top_graph_header.php?r1=6025&r2=6024
http://svn.cacti.net/viewvc?view=rev&revision=6025

Comment 20 Tomas Hoger 2010-07-27 06:09:02 UTC
(In reply to comment #17)
> Upstream fix does not properly address XSS 4.  It adds validation for
> graph_start and graph_end, but that only happens after including
> include/top_graph_header.php, which may output those values without
> validation.

This got CVE-2010-2543.

Comment 21 errata-xmlrpc 2010-08-20 02:42:30 UTC
This issue has been addressed in following products:

  Red Hat HPC Solution for RHEL 5

Via RHSA-2010:0635 https://rhn.redhat.com/errata/RHSA-2010-0635.html


Note You need to log in before you can comment on or make changes to this bug.